---
schema_version: "1"
id: 58effd456f824d4821bffadbfe09e762176c8dcae99b9d4211e1415529ad8bf1
title: Get List View Header Actions
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_list_view.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_list_view.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: a0998185c26a64f0e15cf0b3ae3a9706f20f21ecd158d5c2511ce0de05715979
description: Get the header actions on list views.
---
# Get List View Header Actions

Get the header actions on list views.

Resource

/ui-api/actions/list-view/${listViewIds}

listViewIds—A single list view ID, or a comma-delimited list of list view IDs.

Available Version

41.0

HTTP Method

GET

Example

As an example, let’s say we have an Accounts list view with an ID of 00BR0000000WYY9MAO. This list view has Sort and New header actions, among other actions. To get information about the header actions on this list view, make this request:

GET /services/data/v68.0ui-api/actions/list-view/00BR0000000WYY9MAO

The request returns a list of header actions on the list view and the URLs of the request and subrequests.

Request Parameters

<table class="featureTable sort_table" summary="">





              <thead class="thead sorted" align="left">
                <tr>
                  <th class="featureTableHeader vertical-align-top " id="d47406e120">Parameter Name</th>

                  <th class="featureTableHeader vertical-align-top " id="d47406e123">Type</th>

                  <th class="featureTableHeader vertical-align-top " id="d47406e126">Description</th>

                  <th class="featureTableHeader vertical-align-top " id="d47406e129">Required or Optional</th>

                  <th class="featureTableHeader vertical-align-top " id="d47406e132">Available Version</th>

                </tr>

              </thead>

              <tbody class="tbody">
                <tr>
                  <td class="entry" headers="d47406e120" data-title="Parameter Name"><samp class="codeph nolang">actionTypes</samp></td>

                  <td class="entry" headers="d47406e123" data-title="Type">String[]</td>

                  <td class="entry" headers="d47406e126" data-title="Description">
                    <p class="p">The action type. One or more of these values: </p>

                    <ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">CustomButton</samp>—A button that opens a
                        URL or Visualforce page or executes JavaScript.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">ProductivityAction</samp>—A pre-defined
                        Salesforce action, attached to a limited set of objects.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">QuickAction</samp>—A global or
                        object-specific action.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">StandardButton</samp>—A pre-defined
                        Salesforce button, such as <strong class="ph uicontrol">New</strong>,
                        <strong class="ph uicontrol">Edit</strong>, and <strong class="ph uicontrol">Delete</strong>.
                      </li>

                    </ul>

                  </td>

                  <td class="entry" headers="d47406e129" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d47406e132" data-title="Available Version">41.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d47406e120" data-title="Parameter Name"><samp class="codeph nolang">apiNames</samp></td>

                  <td class="entry" headers="d47406e123" data-title="Type">String[]</td>

                  <td class="entry" headers="d47406e126" data-title="Description">The API names of one or more actions to be retrieved. Use this parameter
                    only when passing <samp class="codeph nolang">retrievalMode=All</samp>. </td>

                  <td class="entry" headers="d47406e129" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d47406e132" data-title="Available Version">49.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d47406e120" data-title="Parameter Name"><samp class="codeph nolang">formFactor</samp></td>

                  <td class="entry" headers="d47406e123" data-title="Type">String</td>

                  <td class="entry" headers="d47406e126" data-title="Description">The layout display size. One of these values:<ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">Large</samp>—(Default) Use this value to
                        get a layout for desktop display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Medium</samp>—Use this value to get a
                        layout for tablet display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Small</samp>—Use this value to get a
                        layout for phone display size.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d47406e129" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d47406e132" data-title="Available Version">41.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d47406e120" data-title="Parameter Name"><samp class="codeph nolang">retrievalMode</samp></td>

                  <td class="entry" headers="d47406e123" data-title="Type">String</td>

                  <td class="entry" headers="d47406e126" data-title="Description">When the action context is <samp class="codeph nolang">Record</samp>,
                    this parameter indicates which actions to retrieve from the record page. One
                    of these values:<ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">All</samp>—Retrieves all actions specified
                        in the <samp class="codeph nolang">apiNames</samp> parameter.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">PageLayout</samp>—(Default) Retrieves
                        actions from the page layout.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d47406e129" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d47406e132" data-title="Available Version">49.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d47406e120" data-title="Parameter Name"><samp class="codeph nolang">sections</samp></td>

                  <td class="entry" headers="d47406e123" data-title="Type">String[]</td>

                  <td class="entry" headers="d47406e126" data-title="Description">The section of the user interface that the actions reside in. One or more
                    of these values: <ul class="ul bulletList">
                      <li class="li"><samp class="codeph nolang">ActivityComposer</samp></li>

                      <li class="li"><samp class="codeph nolang">CollaborateComposer</samp></li>

                      <li class="li"><samp class="codeph nolang">Page</samp></li>

                      <li class="li"><samp class="codeph nolang">SingleActionLinks</samp></li>

                    </ul>

                  </td>

                  <td class="entry" headers="d47406e129" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d47406e132" data-title="Available Version">41.0</td>

                </tr>

              </tbody>

            </table>

Response Body

[Action](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_action.htm "The actions for a single record or a collection of records.")